# Class GlobalTemplateVariables.LineSelection

java.lang.Object
org.eclipse.jface.text.templates.TemplateVariableResolver
org.eclipse.jface.text.templates.SimpleTemplateVariableResolver
org.eclipse.jface.text.templates.GlobalTemplateVariables.Selection
org.eclipse.jface.text.templates.GlobalTemplateVariables.LineSelection

Enclosing class:
  `GlobalTemplateVariables`

public static class GlobalTemplateVariables.LineSelection extends GlobalTemplateVariables.Selection
The line selection variable determines templates that work on selected lines.

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`
Name of the line selection variable, value= "line_selection"

## Constructor Summary

Constructors
Constructor
Description
`LineSelection()`
Creates a new line selection variable

## Method Summary

### Methods inherited from class GlobalTemplateVariables.Selection

`resolve, resolve`

### Methods inherited from class SimpleTemplateVariableResolver

`isUnambiguous, setEvaluationString`

### Methods inherited from class TemplateVariableResolver

`getDescription, getType, resolveAll, setDescription, setType`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME
Name of the line selection variable, value= "line_selection"

See Also:
  - Constant Field Values

## Constructor Details

### LineSelection

public LineSelection()
Creates a new line selection variable